Tensorflow/compiler/xla/service/service.cc:158] StreamExecutor device (0): <undefined>, <undefined>

akela
(gj0) #1

Hi I have a fresh install of rasa x, but when I try to run rasa shell I get the above error. Following is the full dialog:

georgej@baz:~/rasa-server$ rasa shell
2019-05-24 18:13:54 INFO     root  - Generating grammar tables from /usr/lib/python3.6/lib2to3/Grammar.txt
2019-05-24 18:13:54 INFO     root  - Generating grammar tables from /usr/lib/python3.6/lib2to3/PatternGrammar.txt

WARNING: The TensorFlow contrib module will not be included in TensorFlow 2.0.
For more information, please see:
  * https://github.com/tensorflow/community/blob/master/rfcs/20180907-contrib-sunset.md
  * https://github.com/tensorflow/addons
If you depend on functionality not listed there, please file an issue.

2019-05-24 18:13:55 INFO     root  - Starting Rasa Core server on http://localhost:5005
2019-05-24 18:13:55.438199: I tensorflow/core/platform/cpu_feature_guard.cc:141] Your CPU supports instructions that this TensorFlow binary was not compiled to use: AVX2 AVX512F FMA
2019-05-24 18:13:55.443421: I tensorflow/core/platform/profile_utils/cpu_utils.cc:94] CPU Frequency: 2095074999 Hz
2019-05-24 18:13:55.443689: I tensorflow/compiler/xla/service/service.cc:150] XLA service 0x3404330 executing computations on platform Host. Devices:
2019-05-24 18:13:55.443768: I tensorflow/compiler/xla/service/service.cc:158]   StreamExecutor device (0): <undefined>, <undefined>
Bot loaded. Type a message and press enter (use '/stop' to exit):
Your input ->  hello
2019-05-24 18:14:01 ERROR    asyncio  - Task exception was never retrieved
future: <Task finished coro=<configure_app.<locals>.run_cmdline_io() done, defined at /home/georgej/.local/lib/python3.6/site-packages/rasa/core/run.py:101> exception=ClientConnectorError(111, 'Connection refused')>
Traceback (most recent call last):
  File "/home/georgej/.local/lib/python3.6/site-packages/aiohttp/connector.py", line 924, in _wrap_create_connection
    await self._loop.create_connection(*args, **kwargs))
  File "uvloop/loop.pyx", line 1904, in create_connection
  File "uvloop/loop.pyx", line 1883, in uvloop.loop.Loop.create_connection
ConnectionRefusedError: [Errno 111] Connection refused

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/home/georgej/.local/lib/python3.6/site-packages/rasa/core/run.py", line 105, in run_cmdline_io
    server_url=constants.DEFAULT_SERVER_FORMAT.format(port)
  File "/home/georgej/.local/lib/python3.6/site-packages/rasa/core/channels/console.py", line 115, in record_messages
    async for response in bot_responses:
  File "/home/georgej/.local/lib/python3.6/site-packages/async_generator/_impl.py", line 366, in step
    return await ANextIter(self._it, start_fn, *args)
  File "/home/georgej/.local/lib/python3.6/site-packages/async_generator/_impl.py", line 205, in throw
    return self._invoke(self._it.throw, type, value, traceback)
  File "/home/georgej/.local/lib/python3.6/site-packages/async_generator/_impl.py", line 209, in _invoke
    result = fn(*args)
  File "/home/georgej/.local/lib/python3.6/site-packages/rasa/core/channels/console.py", line 80, in send_message_receive_stream
    async with session.post(url, json=payload, raise_for_status=True) as resp:
  File "/home/georgej/.local/lib/python3.6/site-packages/aiohttp/client.py", line 1005, in __aenter__
    self._resp = await self._coro
  File "/home/georgej/.local/lib/python3.6/site-packages/aiohttp/client.py", line 476, in _request
    timeout=real_timeout
  File "/home/georgej/.local/lib/python3.6/site-packages/aiohttp/connector.py", line 522, in connect
    proto = await self._create_connection(req, traces, timeout)
  File "/home/georgej/.local/lib/python3.6/site-packages/aiohttp/connector.py", line 854, in _create_connection
    req, traces, timeout)
  File "/home/georgej/.local/lib/python3.6/site-packages/aiohttp/connector.py", line 992, in _create_direct_connection
    raise last_exc
  File "/home/georgej/.local/lib/python3.6/site-packages/aiohttp/connector.py", line 974, in _create_direct_connection
    req=req, client_error=client_error)
  File "/home/georgej/.local/lib/python3.6/site-packages/aiohttp/connector.py", line 931, in _wrap_create_connection
    raise client_error(req.connection_key, exc) from exc
aiohttp.client_exceptions.ClientConnectorError: Cannot connect to host localhost:5005 ssl:None [Connection refused]
(Akela Drissner) #2

Hi @gj0 welcome to our forum!

Is it possible you have some sort of proxies or something setup?